<?php
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "arduino_data";

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("連接失敗: " . $conn->connect_error);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && !empty($_POST['uid'])) {
    $uid = $_POST['uid'];

    $stmt = $conn->prepare("INSERT INTO sensor_data (UID) VALUES (?)");
    if ($stmt) {
        $stmt->bind_param("s", $uid);
        $stmt->execute();
        $stmt->close();
    }

}

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sensor Data Display</title>
    <!-- 自動刷新頁面，每 5 秒刷新一次 -->
    <meta http-equiv="refresh" content="5">
    <style>
        table {
            width: 50%;
            border-collapse: collapse;
            margin: 20px auto;
        }

        th,
        td {
            border: 1px solid black;
            padding: 10px;
            text-align: center;
        }

        th {
            background-color: #f2f2f2;
        }

        h2 {
            text-align: center;
        }
    </style>
</head>

<body>

    <h2>進入時間</h2>

    <?php
    $sql = "SELECT UID, time FROM sensor_data";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        echo "<table>";
        echo "<tr><th>Name</th><th>Time</th></tr>";

        while ($row = $result->fetch_assoc()) {
            $uid = $row['UID'];
            $name = "未知";

            $stmt = $conn->prepare("SELECT name FROM users WHERE uid = ?");
            if ($stmt) {
                $stmt->bind_param("s", $uid);
                $stmt->execute();
                $stmt->bind_result($fetched_name);
                if ($stmt->fetch()) {

                    $name = $fetched_name;
                }
                $stmt->close();
            }

            echo "<tr>";
            echo "<td>" . htmlspecialchars($name) . "</td>";
            echo "<td>" . htmlspecialchars($row['time']) . "</td>";
            echo "</tr>";
        }

        echo "</table>";
    } else {
        echo "<p style='text-align:center;'>沒有找到任何資料</p>";
    }

    $conn->close();
    ?>

</body>

</html>